Webdav: ezcWebdavDisplayInformation
[ ]
[ Clients ] [ Plugin architecture ]
[ ]
[ ]
[ ]
[ ]
Class: ezcWebdavDisplayInformation
|
Display information base class. [
source]
Instances of classes extending this base class are used inside
ezcWebdavTransport to encapsulate response information to be displayed.
Descendents
Member Variables
|
public DOMDocument|sring|null |
$body
Representation of the response body.
The concrete data type of this property is defined in the extending classes. |
|
public ezcWebdavResponse |
$response
Response object to extract headers from. |
Method Summary
|
public void |
__construct(
$response, $body )
Creates a new display information. |
Methods
__construct
Creates a new display information.
By default an instance of this class carries a
ezcWebdavResponse $repsonse object, which holds header information, and a $body. The content of $body depends on the type of display information. Extending classes may possibly not carry a body at all.
Parameters
Redefined in descendants as
Last updated: Mon, 09 Feb 2009